/* vars */
:root {
    --green500: #71B54D;
    --green400: #B4DAA1;
    --orange500: #F26027;
    --orange400: #F8CCBB;
    --grey500: #828B7D;
    --grey01: #A6A6A6;
    --grey04: #EFEEEE;
    --grey08: #2C2C2C;
    --black: #000;
    --white: #fff;
}

.rounded-10 {
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  border-radius: 12px;
}

.menu-top {
  display: flex;
  position: absolute;
  right: 0;
  top: 15px;
}

@media only screen and (max-width:1470px) {
  .menu-top {
    right: 10px;
  }
}

.menu-top ul li {
  display: inline-block;
  font-size: 16px;
  font-weight: 500;
}

.menu-top ul li a {
  text-decoration: none;
  color: #fff;
  font-weight: 500;
  border-left: 1px solid #a6a6a6;
  padding: 0 20px;
}
.kontakt .menu-top ul li a,
.servis .menu-top ul li a,
.online-poptavka .menu-top ul li a,
.produkt .menu-top ul li a {
  color: #000;
}

.menu-top ul li a:hover {
  text-decoration: underline;
}

.menu-top ul li:first-child a {
  border-left: none;
}

.menu-top ul li:last-child a {
  padding-right: 0px;
}

.menu-container {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  background: #000;
  color: white;
  padding: 16px 20px;
  font-family: "Lexend", Arial, sans-serif;

  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  border-radius: 12px;
  z-index: 2000;
}
.menu {
  display: flex;
  list-style: none;
  font-size: 16px;
  line-height: 16px;
  font-weight: 600;
}

.menu {
  margin-bottom: 0;
}
.menu li {
  /*margin: 0 15px;*/
  cursor: pointer;
  transition: background 0.3s;
  border-right: 1px solid #2C2C2C;
}
.menu li:last-child {
  border-right: none;
}
.menu li.active {
  color: #EC6717;
  position: relative;
  
}
.menu li.active::after {
  content: '';
  border-bottom: 3px solid #EC6717;
  width: 100%;
  display: block;
  margin-top: 21px;
  position: absolute;
  top: 40px;
}

.menu li.active a {
  color: #EC6717;
}
.menu-item {
  max-width: calc(80px + 95px);
  text-align: center;
}
.menu-item a {
  text-decoration: none;
  color: #fff;
  display: inline-block;
  font-size: 16px;
  line-height: 16px;
  padding: 8px 40px;
  font-weight: 500;
}

@media only screen and (max-width:1200px) {
  .menu-item a {
    padding: 8px 20px;
  }
}

.menu-item a:hover {
  text-decoration: none;
}

.logo {
  font-size: 20px;
  font-weight: bold;
  height: 80px;
  margin-top: -45px;
  z-index: 900;
}
.dropdown {
    font-family: "Lexend", Arial, sans-serif;
    position: absolute !important;
    top: 124px; /* Zajistí, že dropdown bude přesně pod menu */
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 1440px;
    background: #fff;
    color: #000;
    padding: 26px 20px 20px 20px;
    display: none;
    text-align: center;
    z-index: 800; /* Zajištění překrytí jiných prvků */
    display: flex;
    
    -webkit-border-bottom-right-radius: 12px;
    -webkit-border-bottom-left-radius: 12px;
    -moz-border-radius-bottomright: 12px;
    -moz-border-radius-bottomleft: 12px;
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;

    -webkit-box-shadow: 0px 21px 15px -1px rgba(0,0,0,0.21);
    -moz-box-shadow: 0px 21px 15px -1px rgba(0,0,0,0.21);
    box-shadow: 0px 21px 15px -1px rgba(0,0,0,0.21);
  
}
.dropdown div {
  flex: 1;
  padding: 10px;
}

.dropdown ul li {
  list-style: none;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}

.sub-item a,
.detail-list a {
  text-decoration: none;
  color: #000;
  width: 100%;
  display: inline-block;
  padding: 16px;
  position: relative;
}

.sub-item a.all_products,
.detail-list a.all_products {
  color: var(--orange500);
}

.sub-item.active,
.detail-list a:hover {
  background:rgba(236, 103, 23, 0.15);
  text-decoration: none !important;
  color: #000 !important;
}

.sub-item.active .all_products,
.detail-list a.all_products:hover {
  color: var(--orange500);
  background:none;
  color: var(--orange500) !important;
}

#wrapper #hp_top .list1 .submenu .sub-item a:hover {
  text-decoration: none !important;
  color: #000 !important;
}

.detail-list a:hover::after {
  position: absolute;
  content: '';
  width: 16px;
  height: 16px;
  top: 21px;
  right: 16px;
  background-image: url("/images/ico/arrow-right.png");
  background-repeat: no-repeat;
}

.detail-list a.all_products:hover::after {
  left: 235px;
}

.list1, .list2 {
  text-align: left;
}

.list1 {
border-right: 1px solid #E3E3E3;
}

.info {
  text-align: center;
  border: 1px solid #A6A6A6;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.info img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
}
.submenu, .detail-list {
  display: none;
}


#hp_top #top_img_res .header {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px;
  /*background-color: pink;*/
  position: relative;
}
#hp_top #top_img_res .logo {
  text-align: center;
  margin-top: 0;
}
#hp_top #top_img_res .menu-icon {
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  border-radius: 8px;
 
  position: absolute;
  right: 15px;
  width: 30px;
  height: 30px;
  background-color: black;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding: 6px;
  cursor: pointer;
}
#hp_top #top_img_res .menu-icon div {
  width: 80%;
  margin-left: 10%;
  height: 1px;
  background-color: white;
}
#hp_top #top_img_res .menu {
  position: fixed;
  top: 0;
  right: -100%;
  width: 80%;
  height: 100vh;
  background-color: white;
  font-size: 16px;
  transition: right 0.3s ease-in-out;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  z-index: 1000;

  -webkit-border-top-left-radius: 40px;
  -webkit-border-bottom-left-radius: 40px;
  -moz-border-radius-topleft: 40px;
  -moz-border-radius-bottomleft: 40px;
  border-top-left-radius: 40px;
  border-bottom-left-radius: 40px;
}
#hp_top #top_img_res .menu.active {
  right: 0;
}
#hp_top #top_img_res .menu-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 35px;
}
#hp_top #top_img_res .menu-close {
  font-size: 24px;
  cursor: pointer;
  margin-left: auto;
}
#hp_top #top_img_res .menu-content {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: 35px;
}
#hp_top #top_img_res .menu-content .menu-level {
  display: none;
  flex-direction: column;
}
#hp_top #top_img_res .menu-content .menu-level.active {
  display: flex;
}
#hp_top #top_img_res .menu-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 10px;
  border-bottom: 1px solid #E3E3E3;
  cursor: pointer;
  max-width: 100%;
  text-align: left;
}
#hp_top #top_img_res .menu-item a {
  color: #212529;
  padding: 0;
  width: 100%;
}

#hp_top #top_img_res .menu-footer {
  padding: 35px;
  text-align: left;
}
#hp_top #top_img_res .menu-footer div {
  margin-bottom: 16px;
}
#hp_top #top_img_res .menu-footer #logo-bottom {
  margin-top: 50px;
}
#hp_top #top_img_res .menu-footer a {
  text-decoration: none;
  color: #000;
}
#hp_top #top_img_res .back-btn {
  display: none;
  cursor: pointer;
  padding: 10px;
  font-weight: 600;
}
#hp_top #top_img_res .back-btn img {
  vertical-align:middle;
  padding-right: 10px;
}
#hp_top #top_img_res .back-btn.active {
  display: block;
}